Name:         gsplus
Summary:      Modern cross-platform Apple IIgs emulator
Version:      0.14 
Release:      %mkrel 1
License:      GPL2
Packager:     Agent Smith <ruidobranco@yahoo.com.br>
Group:        Emulators
Url:          https://github.com/digarok/gsplus
Source0:      %{name}-%{version}.tar.xz

Distribution:  PCLinuxOS


BuildRequires:	cmake
BuildRequires:  re2c
BuildRequires:	%{_lib}sdl2_image-devel
BuildRequires:	%{_lib}sdl2.0-devel
BuildRequires:	%{_lib}freetype6-devel
BuildRequires:	%{_lib}cap-devel
BuildRequires:	%{_lib}xext-devel
BuildRequires:  %{_lib}readline-devel
BuildRequires:  gcc-c++
Requires:	%{_lib}sdl2_image2.0_0
BuildRoot: 	%_tmppath/%name-%version-buildroot


%description

GSplus is an Apple IIgs emulator. 
It's an open-source project based on the KEGS and GSPort emulators. 
It supports fullscreen, joysticks and audio through the SDL2 library across platforms.

%prep

%setup -q 

%build

%cmake  -DDRIVER=SDL2

%make VERBOSE=1 GSplus


%install
%__rm -rf %{buildroot}
mkdir -pm 755 %{buildroot}%{_datadir}/%{name}
mkdir -pm 755 %{buildroot}%{_bindir}
mkdir -pm 755 %{buildroot}%{_datadir}/%{name}/docs
mkdir -pm 755 %{buildroot}%{_datadir}/pixmaps
mkdir -pm 755 %{buildroot}%{_libdir}/

mv  $RPM_BUILD_DIR/%{name}-%{version}/build/bin/GSplus  %{buildroot}%{_bindir}/%{name}
mv  $RPM_BUILD_DIR/%{name}-%{version}/build/bin/libx_readline.so %{buildroot}%{_libdir}/
mv  $RPM_BUILD_DIR/%{name}-%{version}/doc/README.txt  %{buildroot}%{_datadir}/%{name}/docs/
mv  $RPM_BUILD_DIR/%{name}-%{version}/doc/gsplusmanual.pdf  %{buildroot}%{_datadir}/%{name}/docs/
install -Dm644 $RPM_BUILD_DIR/%{name}-%{version}/assets/gsp_icon_128.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=%{name}
Comment=%{summary}
Exec=%{name} %f
Icon=%{name}.png
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%{_libdir}/*
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog

* Tue Apr 14 2020  Agent Smith <ruidobranco@yahoo.com.br> 0.14-1pclos2020
- Created the package from scratch, observed packages for Arch and Raspibian, gsplus-0.14-1pclos2020.rpm, with latest source.


